Bug 613162 (CVE-2010-2499) - CVE-2010-2499 freetype: buffer overflow vulnerability
Summary: CVE-2010-2499 freetype: buffer overflow vulnerability
Status: CLOSED ERRATA
Alias: CVE-2010-2499
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20100609,repo...
Keywords: Security
Depends On: 613298 613299 614010 614011 614012 614013 806290
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-09 20:51 UTC by Vincent Danen
Modified: 2018-08-15 21:50 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-07-29 12:43:23 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0578 normal SHIPPED_LIVE Important: freetype security update 2010-07-30 16:09:53 UTC

Description Vincent Danen 2010-07-09 20:51:31 UTC
Robert Swiecki reported a buffer overflow flaw in freetype with how it handles certain fonts.  This could cause applications linked against freetype to crash or, possibly, lead to the execution of arbitrary code if an attacker were able to get a victim to load a malicious font file.

The affected code is not present in Red Hat Enterprise Linux 3 (freetype 2.1.4).  This issue does cause a crash on Red Hat Enterprise Linux 4 and 5.

This issue has been given the name CVE-2010-2499.

Upstream bug reports:

http://savannah.nongnu.org/bugs/index.php?30248
http://savannah.nongnu.org/bugs/index.php?30249

Upstream commits that fix the issue:

http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=c69891a1345640096fbf396e8dd567fe879ce233
http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=f29f741efbba0a5ce2f16464f648fb8d026ed4c8

Acknowledgements:

Red Hat would like to thank Robert Święcki of the Google Security Team for the
discovery of this issue.

Comment 3 Vincent Danen 2010-07-10 16:02:42 UTC
Created freetype tracking bugs for this issue

Affects: fedora-all [bug 613299]

Comment 5 Josh Bressers 2010-07-13 13:43:07 UTC
Created freetype tracking bugs for this issue

Affects: fedora-all [bug 613299]

Comment 6 Vincent Danen 2010-07-15 20:43:27 UTC
Upstream has released 2.4.0 to correct this issue:

http://lists.nongnu.org/archive/html/freetype/2010-07/msg00001.html

Comment 7 errata-xmlrpc 2010-07-30 16:10:14 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0578 https://rhn.redhat.com/errata/RHSA-2010-0578.html


Note You need to log in before you can comment on or make changes to this bug.